module Ecom
  module Core
    class AttendanceSheetEntry < ApplicationRecord
      belongs_to :attendance_sheet
      belongs_to :crew
      has_many :crew_times

      validates :total_hours, presence: true, numericality: { greater_than_or_equal_to: 0 }
    end
  end
end
