module Ecom
  module Core
    class LookaheadPlanHistory < ApplicationRecord
      belongs_to :lookahead_plan
      belongs_to :task

      validates_with DateRangeValidator

      validates :lookahead_plan_id, :lookahead_plan, :task_id, :task, :start_date, :end_date,
                :lookahead_plan_revision_number, presence: true

      validates_numericality_of :lookahead_plan_revision_number,
                                greater_than_or_equal_to: 0
    end
  end
end
