module Ecom
  module Core
    class Menu < ApplicationRecord
      belongs_to :parent, class_name: 'Ecom::Core::Menu', optional: true
      belongs_to :application_module
      has_many :children, class_name: 'Ecom::Core::Menu', foreign_key: 'parent_id'

      validates :label, :route, presence: true
    end
  end
end
