module Ecom
  module Core
    class OvertimeSheetEntry < ApplicationRecord
      belongs_to :overtime_sheet
      belongs_to :crew
      has_many :crew_overtimes

      validates :total_overtime, presence: true, numericality: { greater_than_or_equal_to: 0 }
    end
  end
end
