module Ecom
  module Core
    class Stakeholder < ApplicationRecord
      belongs_to :stakeholder_type

      validates :name, presence: true, uniqueness: true

      delegate(:name, to: :stakeholder_type, prefix: true)
    end
  end
end
