module Ecom
  module Core
    class Takeoff < ApplicationRecord
      validates :task_id, :takeoff_quantity, :task, presence: true
      validates :takeoff_quantity, numericality: { greater_than: 0 }

      belongs_to :task
    end
  end
end
