module Ecom
  module Core
    class TaskResource < ApplicationRecord
      validates :task_id, :task, :resource_type_id, :resource_type, presence: true

      belongs_to :task
      belongs_to :resource_type

      validates :amount, presence: true, numericality: { greater_than: 0 }
    end
  end
end
