module Ecom
  module Core
    class WorkProductTemplate < ApplicationRecord
      validates :code, :name, presence: true, uniqueness: true
      has_many :project_work_item_templates
      has_many :task_templates, through: :project_work_item_templates
      has_many :product_types
    end
  end
end
