module Ecom
  module Core
    class DateRangeValidator < ActiveModel::Validator
      def validate(record)
        return unless record.start_date && record.end_date && record.start_date > record.end_date

        record.errors.add(:base, 'End date cannot be before start date')
      end
    end
  end
end
