Ecom::Core::Engine.routes.draw do
  post '/login', controller: :access, action: :login

  resources :application_modules, only: %i[index create update]
  resources :user_roles, only: %i[index create update]
  resources :menus, only: %i[index]
  resources :users, only: %i[index create update]
  get '/users/active', controller: :users, action: :active
  get '/users/lookup', controller: :users, action: :lookup


  resources :crew_types
  resources :equipment_types
  resources :material_types
  resources :menus, only: %i[index]
  resources :projects
  resources :companies
  get '/default_company', controller: :companies, action: :default_company
  get '/sites/:id/crew', controller: :site_crews, action: :index
  post '/site_crews', controller: :site_crews, action: :update

  resources :unit_costs, only: %i[index create]
end
