class CreateEcomCoreCompanies < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_companies do |t|
      t.string :code, null: false, unique: true
      t.string :name, null: false, unique: true
      t.string :address, null: false
      t.string :telephone, null: false
      t.string :email
      t.jsonb :settings, default: {}

      t.timestamps
    end
  end
end
