class CreateEcomCoreProjectTemplates < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_project_templates do |t|
      t.string :code, unique: true
      t.string :name, null: false
      t.string :description
      t.references :task_template_type,
                   null: false,
                   index: { name: 'pt_on_ttt_indx' },
                   foreign_key: { to_table: :ecom_core_task_template_types }

      t.timestamps
    end
  end
end
