class CreateEcomCoreStakeholders < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_stakeholders do |t|
      t.string :name, null: false, unique: true
      t.string :type_of_business
      t.string :address
      t.string :license_no
      t.string :tin_no
      t.string :contact_name, null: false
      t.string :contact_phone, null: false
      t.string :contact_email, null: false
      t.references :stakeholder_type,
                   null: false,
                   index: { name: 'stakeholders_on_st_indx' },
                   foreign_key: { to_table: :ecom_core_stakeholder_types }

      t.timestamps
    end
  end
end
