class CreateEcomCoreSites < ActiveRecord::Migration[6.0]
    def change
      create_table :ecom_core_sites do |t|
        t.string :name, null: false
        t.string :address, null: false
        t.string :description
        t.references :project,
                     null: false,
                     index: { name: 'site_on_project_indx' },
                     foreign_key: { to_table: :ecom_core_projects }
        t.string :status, null: false, default: 'Active'
  
        t.timestamps
      end
    end
  end