class CreateEcomCoreProductGroups < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_product_groups do |t|
      t.string :name, null: false, unique: true
      t.references :project,
                   null: false,
                   index: { name: 'pg_on_project_indx' },
                   foreign_key: { to_table: :ecom_core_projects }

      t.timestamps
    end
  end
end
