class CreateTaskTemplatesResourceTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_task_templates_resource_types, id: false do |t|
      t.references :task_template,
                   null: false,
                   index: false,
                   foreign_key: { to_table: :ecom_core_task_templates }
      t.references :resource_type,
                   null: false,
                   index: false,
                   foreign_key: { to_table: :ecom_core_resource_types }
    end

    add_index :ecom_core_task_templates_resource_types, %i[task_template_id resource_type_id],
              unique: true, name: 'ttr_on_tt_rt_indx'
  end
end
