class CreateEcomCoreAttendanceSheetEntries < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_attendance_sheet_entries do |t|
      t.references :attendance_sheet,
                   null: false,
                   index: { name: 'ase_on_as_indx' },
                   foreign_key: { to_table: :ecom_core_attendance_sheets }
      t.references :crew,
                   null: false,
                   index: { name: 'ase_on_crew_indx' },
                   foreign_key: { to_table: :ecom_core_crews }
      t.float :total_hours

      t.timestamps
    end
  end
end
