class CreateEcomCorePayrolls < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_payrolls do |t|
      t.integer :month, null: false
      t.integer :year, null: false
      t.boolean :approved, null: false, default: false
      t.references :site,
                   null: false,
                   index: { name: 'payroll_on_site_indx' },
                   foreign_key: { to_table: :ecom_core_sites }

      t.timestamps
    end
  end
end
