class CreateEcomCorePayments < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_payments do |t|
      t.date :from, null: false
      t.date :to, null: false
      t.boolean :approved, null: false, default: false
      t.integer :payment_order, null: false, default: 1
      t.references :payroll,
                   null: false,
                   index: { name: 'payments_on_payroll_indx' },
                   foreign_key: { to_table: :ecom_core_payrolls }

      t.timestamps
    end
  end
end
