class CreateEcomCoreMeasurementUnits < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_measurement_units do |t|
      t.string :name, null: false
      t.string :abbreviation, null: false
      t.string :physical_quantity, null: false
      t.boolean :is_si_unit, null: false, default: false
      t.float :conversion_factor, null: false
      t.string :system_of_measurement, null: false

      t.timestamps
    end
  end
end
