class CreateEcomCoreAvailableUnitOfMeasurements < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_available_unit_of_measurements do |t|
      t.references :material_type,
                   null: false,
                   index: { name: 'aum_on_mt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.references :measurement_unit,
                   null: false,
                   index: { name: 'aum_on_mu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }
      t.timestamps
    end
  end
end
