class CreateEcomCoreTaskTemplateInspectionChecklists < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_task_template_inspection_checklists do |t|
      t.references :task_template,
                   null: false,
                   index: { name: 'ttic_on_tt_indx' },
                   foreign_key: { to_table: :ecom_core_task_templates }
      t.references :inspection_checklist,
                   null: false,
                   index: { name: 'ttic_on_ic_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }
      t.string :standard

      t.timestamps
    end
  end
end
