class CreateEcomCoreTaskAttachments < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_task_attachments do |t|
      t.string :title, null: false
      t.string :description
      t.string :file
      t.references :task,
                   null: false,
                   index: { name: 'ta_on_task_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }

      t.timestamps
    end
  end
end
