class CreateEcomCoreLookaheadPlanReviewTimes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_lookahead_plan_review_times do |t|

      t.references :lookahead_plan,
                   null: false,
                   index: { name: 'lprt_on_lp_indx' },
                   foreign_key: { to_table: :ecom_core_lookahead_plans }

      t.datetime :review_time, null: false 
      t.string   :status
      t.integer  :lookahead_plan_revision_number
      
      t.timestamps
    end
  end
end
