module Ecom
  module Core
    class BookedItem < ApplicationRecord
      belongs_to :booking
      belongs_to :requested_item
      belongs_to :equipment_item

      validates :start_date, :end_date, presence: true
      validates_with DateRangeValidator
    end
  end
end
