module Ecom
  module Core
    class CustomPaymentDetail < ApplicationRecord
      belongs_to :payment, class_name: 'Ecom::Core::Payment'

      validates :name, :hours, :ot_hours, :base_salary, :overtime, :gross_salary, :tax, :pension, :net_salary, :net_pay,
                :advance, :wage, presence: true
    end
  end
end
