module Ecom
  module Core
    class OvertimeType < ApplicationRecord
      validates :name, :from, :to, :rate, presence: true
      validates :name, uniqueness: true

      def in_range?(time)
        Time.parse(time).between?(Time.parse(from), Time.parse(to))
      end
    end
  end
end
