module Ecom
  module Core
    class PaymentDetail < ApplicationRecord
      belongs_to :crew
      belongs_to :payment

      validates :hours, :ot_hours, :base_salary, :overtime, :gross_salary, :tax, :pension, :net_salary, :net_pay,
                :advance, presence: true, numericality: { greater_than_or_equal_to: 0 }
    end
  end
end
