module Ecom
  module Core
    class ProjectTemplate < ApplicationRecord
      belongs_to :task_template_type
      has_many :project_work_item_templates

      validates :code, :name, presence: true
      validates_uniqueness_of :code

      delegate(:name, to: :task_template_type, prefix: true)
    end
  end
end
