module Ecom
  module Core
    class UnitCostSerializer < ActiveModel::Serializer
      attributes :id, :resource_type_id, :quantity, :measurement_unit_id,
                 :price, :currency_id, :utilization_factor, :effective_date, :set_by_id,
                 :resource_type, :measurement_unit, :currency

      def resource_type
        object.resource_type
      end

      def measurement_unit
        object.measurement_unit
      end

      def currency
        object.currency.name
      end
    end
  end
end
