module Ecom
  module Core
    class FilterService
      def get_filtered_data(type, filters)
        positive = {}
        negative = {}
        obj = type.constantize
        filters.each { |f|
          if f[:cond] == 'P'
            positive[f[:key]] = f[:value]
          else
            negative[f[:key]] = f[:value]
          end
        }
        obj.where(positive).where.not(negative)
      end
    end
  end
end
