class CreateEcomCoreProjectWorkItemTemplates < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_project_work_item_templates do |t|
      t.references :task_template,
                   null: false,
                   index: { name: 'pwit_on_tt_indx' },
                   foreign_key: { to_table: :ecom_core_task_templates } 
      t.references :work_product_template,
                   null: false,
                   index: { name: 'pwit_on_wpt_indx' },
                   foreign_key: { to_table: :ecom_core_work_product_templates }
      t.references :project_template,
                   null: false,
                   index: { name: 'pwit_on_pt_indx' },
                   foreign_key: { to_table: :ecom_core_project_templates }

      t.timestamps
    end
  end
end
