class CreateEcomCoreLookaheadPlans < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_lookahead_plans do |t|
      t.string :name, null: false
      t.date :start_date, null: false
      t.date :end_date, null: false
      t.string :status, null: false, default: :new
      t.integer :revision_number, default: 0
      t.integer :lead_time, default: 336 # default lead time 2 weeks( 336 hours )

      t.references :prepared_by,
                   null: false,
                   index: { name: 'lprt_on_pb_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      
      t.timestamps
    end
  end
end
