class CreateEcomCoreTaskResources < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_task_resources do |t|
      t.references :task,
                   null: false,
                   index: { name: 'tr_on_task_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }
      t.references :resource_type,
                   null: false,
                   index: { name: 'tr_on_rt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }
      t.date :date_assigned
      t.float :amount, nullable: false

      t.timestamps
    end
  end
end
