class CreateEcomCoreEquipmentLocations < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment_locations do |t|
      t.string :name, null: false, unique: true
      t.string :description
      t.string :address, null: false
      t.references :location_type,
                   null: false,
                   index: { name: 'ecel_on_lt_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }

      t.timestamps
    end
  end
end
