class CreateEcomCoreOvertimeSheetEntries < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_overtime_sheet_entries do |t|
      t.references :overtime_sheet,
                   null: false,
                   index: { name: 'ose_on_os_indx' },
                   foreign_key: { to_table: :ecom_core_overtime_sheets }
      t.references :crew,
                   null: false,
                   index: { name: 'ose_on_crew_indx' },
                   foreign_key: { to_table: :ecom_core_crews }
      t.float :total_overtime

      t.timestamps
    end
  end
end
