class CreateEcomCoreEquipmentRequests < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment_requests do |t|
      t.references :requested_by,
                   null: false,
                   index: { name: 'er_on_rb_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.string :remark
      t.string :status, null: false
      t.references :project,
                   null: false,
                   index: { name: 'er_on_project_indx' },
                   foreign_key: { to_table: :ecom_core_projects }

      t.timestamps
    end
  end
end
