class CreateEcomCoreBookings < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_bookings do |t|
      t.references :equipment_request,
                   null: false,
                   index: { name: 'booking_on_er_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_requests }
      t.references :booked_by,
                   null: false,
                   index: { name: 'er_on_bb_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.string :remark
      t.string :status, null: false

      t.timestamps
    end
  end
end
