class CreateEcomCoreMaterialSubTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_material_sub_types do |t|
      t.string :name, null: false

      t.references :material_type,
                   null: false,
                   index: { name: 'mst_on_mt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.timestamps
    end
  end
end
