class CreateEcomCoreMaterialIdentities < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_material_identities do |t|
      t.references :material_type,
                   null: false,
                   index: { name: 'mi_on_mt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.references :material_sub_type,
                   null: true,
                   index: { name: 'mi_on_mst_indx' },
                   foreign_key: { to_table: :ecom_core_material_sub_types }

      t.timestamps
    end
  end
end
