class CreateEcomCoreMaterialItems < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_material_items do |t|
      
      t.references :material_identity,
                   null: false,
                   index: { name: 'mi_on_mi_indx' },
                   foreign_key: { to_table: :ecom_core_material_identities }
                   
      t.string :serial_number, null: false, unique: true
      t.float  :price

      t.timestamps
    end
  end
end
