class CreateEcomCoreTakeoffs < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_takeoffs do |t|
      t.references :task,
                   null: false,
                   index: { name: 'takeoff_on_task_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }

      t.float :takeoff_quantity, null: false

      t.timestamps
    end
  end
end
