class CreateEcomCoreMaintenanceTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_maintenance_types do |t|
      t.string :name, null: false
      t.string :description
      t.references :maintenance_category,
                   null: false,
                   index: { name: 'mt_on_mc_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }

      t.timestamps
    end
  end
end
