class CreateEcomCoreScheduleSettings < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_schedule_settings do |t|
      t.references :equipment,
                   null: false,
                   index: { name: 'ss_on_equipment_indx' },
                   foreign_key: { to_table: :ecom_core_equipment }
      t.references :maintenance_type,
                   null: false,
                   index: { name: 'ss_on_mt_indx' },
                   foreign_key: { to_table: :ecom_core_maintenance_types }
      t.references :schedule_unit,
                   null: false,
                   index: { name: 'ss_in_su_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }
      t.float :value, null: false

      t.timestamps
    end
  end
end
