class CreateEcomCoreCrewContractTransactions < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_crew_contract_transactions do |t|
      t.string :transaction_type, null: false
      t.string :status, null: false, default: 'Pending'
      t.date :effective_date, null: false

      t.references :crew_contract,
                   null: false,
                   index: { name: 'cct_on_cc_indx' },
                   foreign_key: { to_table: :ecom_core_crew_contracts }

      t.timestamps
    end
  end
end
