class CreateEcomCoreSiteCrews < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_site_crews do |t|
      t.references :crew,
                   null: false,
                   index: { name: 'gp_on_crew_indx' },
                   foreign_key: { to_table: :ecom_core_crews }

    t.references :site,
                   null: false,
                   index: { name: 'gp_on_site_indx' },
                   foreign_key: { to_table: :ecom_core_sites }

      t.string :site_crew_type, null: false
      t.string :start_date, null: false
      t.string :end_date
      t.string :status, null: false, default: 'Inactive'

      t.timestamps
    end
  end
end
