class CreateEcomCoreCrewIdCards < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_crew_id_cards do |t|
      t.references :crew,
                   null: false,
                   index: { name: 'ci_on_crew_indx' },
                   foreign_key: { to_table: :ecom_core_crews }

      t.datetime :issued_on, null: false
      t.datetime :valid_until, null: false
      t.string :status, null: false, default: 'Valid'

      t.timestamps
    end
  end
end
