class CreateEcomCoreLookaheadPlanBacklogs < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_lookahead_plan_backlogs, id: false do |t|
      t.references :lookahead_plan,
                   null: false,
                   index: { name: 'lpb_on_lp_indx' },
                   foreign_key: { to_table: :ecom_core_lookahead_plans }

      t.references :task,
                   null: false,
                   index: { name: 'lpb_on_tas_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }

      t.timestamps
    end
    add_index :ecom_core_lookahead_plan_backlogs, [:lookahead_plan_id, :task_id], unique: true, name: 'lpb_on_lp_and_task'
  end
end
