class CreateEcomCoreLookaheadPlanHistories < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_lookahead_plan_histories do |t|

      t.references :lookahead_plan,
                   null: false,
                   index: { name: 'lph_on_lp_indx' },
                   foreign_key: { to_table: :ecom_core_lookahead_plans }

      t.references :task,
                   null: false,
                   index: { name: 'lph_on_tas_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }
      t.date :start_date, null: false
      t.date :end_date, null: false
      t.integer :lookahead_plan_revision_number, null: false
      
      t.timestamps
    end
  end
end
