class CreateEcomCoreLookaheadPlanTaskProgresses < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_lookahead_plan_task_progresses do |t|

      t.references :lookahead_plan,
                   null: false,
                   index: { name: 'lptp_on_lp_indx' },
                   foreign_key: { to_table: :ecom_core_lookahead_plans }

      t.references :task,
                   null: false,
                   index: { name: 'lptp_on_tas_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }
      t.date :started_on, null: false
      t.date :ended_on, null: false
      t.integer :lookahead_plan_revision_number, null: false

      t.timestamps
    end
  end
end
